#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3				// Use modern global access method and strict wave access
#pragma DefaultTab={3,20,4}		// Set default tab width in Igor Pro 9 and later

//___________________________________________________________________________________________________  
// funtion to get the approximate location of the computer and UTC offset from the IP address
Function [Variable latVar,Variable lonVar,Variable offVar] getApproxLocationTimeZone()
	
	String rtnStr = fetchurl("http://ip-api.com/json/?fields=status,lat,lon,offset")
	latVar = NumberByKey("\"lat\"",rtnStr,":",",")	
	lonVar = NumberByKey("\"lon\"",rtnStr,":",",")
	offVar = NumberByKey("\"offset\"",rtnStr,":",",")
		
	return [latVar,lonVar,offVar]
end
//___________________________________________________________________________________________________	
// look up the location of the North magnetic (dip) pole
Function [Variable latVar, Variable lonVar] getNDipPole(Variable year)

	URLRequest url="https://www.ngdc.noaa.gov/geomag/data/poles/NP.xy"
		
	String rtnStr
	Variable i, yearVar 
	
	do
		rtnStr = StringFromList(i,S_serverResponse, "\n")
	
		sscanf rtnStr,"%g %g %g", lonVar, latVar, yearVar 
		if (yearVar == year)
			break
		endif
		i+=1
	while (i<ItemsInList(S_serverResponse,"\n"))
	
	
	// get lon in E/W notation 
	lonVar = (lonVar<180) ? -lonVar : 360-lonVar 

	return [latVar, lonVar] 
end 
//___________________________________________________________________________________________________	
// look up the location of the South magnetic (dip) pole
Function [Variable latVar, Variable lonVar] getSDipPole(Variable year)

	URLRequest url="https://www.ngdc.noaa.gov/geomag/data/poles/SP.xy"
		
	String rtnStr
	Variable i, yearVar 
	
	do
		rtnStr = StringFromList(i,S_serverResponse, "\n")
	
		sscanf rtnStr,"%g %g %g", lonVar, latVar, yearVar 
		if (yearVar == year)
			break
		endif
		i+=1
	while (i<ItemsInList(S_serverResponse,"\n"))
	
	
	// get lon in E/W notation 
	lonVar = (lonVar<180) ? -lonVar : 360-lonVar 

	return [latVar, lonVar] 
end 
//___________________________________________________________________________________________________	
